Nacionalni CERT

Sigurnosni nedostaci programskih paketa MozillaFirefox i mozilla-nss

<p>SUSE Security Update: Security update for MozillaFirefox, mozilla-nss<br />______________________________________________________________________________<br /><br />Announcement ID: SUSE-SU-2017:2872-2<br />Rating: important<br />References: #1060445 #1061005 <br />Cross-References: CVE-2017-7793 CVE-2017-7805 CVE-2017-7810<br /> CVE-2017-7814 CVE-2017-7818 CVE-2017-7819<br /> CVE-2017-7823 CVE-2017-7824 CVE-2017-7825<br /> <br />Affected Products:<br /> SUSE Linux Enterprise Software Development Kit 11-SP4<br /> SUSE Linux Enterprise Server 11-SP4<br /> SUSE Linux Enterprise Server 11-SP3-LTSS<br />______________________________________________________________________________<br /><br /> An update that fixes 9 vulnerabilities is now available.<br /><br />Description:<br /><br /><br /><br /> This update for MozillaFirefox and mozilla-nss fixes the following issues:<br /><br /> Mozilla Firefox was updated to ESR 52.4 (bsc#1060445)<br /><br /> * MFSA 2017-22/CVE-2017-7825: OS X fonts render some Tibetan and Arabic<br /> unicode characters as spaces<br /> * MFSA 2017-22/CVE-2017-7805: Use-after-free in TLS 1.2 generating<br /> handshake hashes<br /> * MFSA 2017-22/CVE-2017-7819: Use-after-free while resizing images in<br /> design mode<br /> * MFSA 2017-22/CVE-2017-7818: Use-after-free during ARIA array manipulation<br /> * MFSA 2017-22/CVE-2017-7793: Use-after-free with Fetch API<br /> * MFSA 2017-22/CVE-2017-7824: Buffer overflow when drawing and validating<br /> elements with ANGLE<br /> * MFSA 2017-22/CVE-2017-7810: Memory safety bugs fixed in Firefox 56 and<br /> Firefox ESR 52.4<br /> * MFSA 2017-22/CVE-2017-7823: CSP sandbox directive did not create a<br /> unique origin<br /> * MFSA 2017-22/CVE-2017-7814: Blob and data URLs bypass phishing and<br /> malware protection warnings<br /><br /> Mozilla Network Security Services (Mozilla NSS) received a security fix:<br /><br /> * MFSA 2017-22/CVE-2017-7805: Use-after-free in TLS 1.2 generating<br /> handshake hashes (bsc#1061005, bsc#1060445)<br /><br /><br />Patch Instructions:<br /><br /> To install this SUSE Security Update use YaST online_update.<br /> Alternatively you can run the command listed for your product:<br /><br /> - SUSE Linux Enterprise Software Development Kit 11-SP4:<br /><br /> zypper in -t patch sdksp4-firefox-201710-13330=1<br /><br /> - SUSE Linux Enterprise Server 11-SP4:<br /><br /> zypper in -t patch slessp4-firefox-201710-13330=1<br /><br /> - SUSE Linux Enterprise Server 11-SP3-LTSS:<br /><br /> zypper in -t patch slessp3-firefox-201710-13330=1<br /><br /> To bring your system up-to-date, use "zypper patch".<br /><br /><br />Package List:<br /><br /> - SUSE Linux Enterprise Software Development Kit 11-SP4 (x86_64):<br /><br /> MozillaFirefox-devel-52.4.0esr-72.13.2<br /> mozilla-nss-devel-3.29.5-47.6.1<br /><br /> - SUSE Linux Enterprise Server 11-SP4 (s390x):<br /><br /> MozillaFirefox-52.4.0esr-72.13.2<br /> MozillaFirefox-translations-52.4.0esr-72.13.2<br /> libfreebl3-3.29.5-47.6.1<br /> libfreebl3-32bit-3.29.5-47.6.1<br /> libsoftokn3-3.29.5-47.6.1<br /> libsoftokn3-32bit-3.29.5-47.6.1<br /> mozilla-nss-3.29.5-47.6.1<br /> mozilla-nss-32bit-3.29.5-47.6.1<br /> mozilla-nss-tools-3.29.5-47.6.1<br /><br /> - SUSE Linux Enterprise Server 11-SP3-LTSS (x86_64):<br /><br /> MozillaFirefox-52.4.0esr-72.13.2<br /> MozillaFirefox-translations-52.4.0esr-72.13.2<br /> libfreebl3-3.29.5-47.6.1<br /> libfreebl3-32bit-3.29.5-47.6.1<br /> libsoftokn3-3.29.5-47.6.1<br /> libsoftokn3-32bit-3.29.5-47.6.1<br /> mozilla-nss-3.29.5-47.6.1<br /> mozilla-nss-32bit-3.29.5-47.6.1<br /> mozilla-nss-tools-3.29.5-47.6.1<br /><br /><br />References:<br /><br /> https://www.suse.com/security/cve/CVE-2017-7793.html<br /> https://www.suse.com/security/cve/CVE-2017-7805.html<br /> https://www.suse.com/security/cve/CVE-2017-7810.html<br /> https://www.suse.com/security/cve/CVE-2017-7814.html<br /> https://www.suse.com/security/cve/CVE-2017-7818.html<br /> https://www.suse.com/security/cve/CVE-2017-7819.html<br /> https://www.suse.com/security/cve/CVE-2017-7823.html<br /> https://www.suse.com/security/cve/CVE-2017-7824.html<br /> https://www.suse.com/security/cve/CVE-2017-7825.html<br /> https://bugzilla.suse.com/1060445<br /> https://bugzilla.suse.com/1061005<br /><br />-- <br />To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org<br />For additional commands, e-mail: opensuse-security-announce+help@opensuse.org</p>
Otkriveni su sigurnosni nedostaci u programskim paketima MozillaFirefox i mozilla-nss za operacijski sustav SUSE. Otkriveni nedostaci potencijalnim napadačima omogućuju zaobilaženje sigurnosnih ograničenja, izvršavanje proizvoljnog programskog koda, rušenje servisa ili stjecanje uvećanih ovlasti. Savjetuje se ažuriranje izdanim zakrpama.